### Signal

# SpiceClientGLib Channel::open-fd

#### Declaration

    void
    open_fd (
      SpiceChannel* self,
      gint with_tls,
      gpointer user_data
    )

#### Description [src]

The `SpiceChannel::open-fd` signal is emitted when a new connection is requested. This signal is emitted when the connection is made with spice_session_open_fd().

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`with_tls`

  Type: `gint`

  Wether TLS connection is requested.